Hello all. I've installed Leopard and I've not yet connected my iphone to itunes as it's running ifuntastic 3.5.5. on 1.0.2. firmware. I've cruised the other forums and have not come across this problem yet. I would like to do a full upgrade and possibly use a new mod app other than ifuntastic without bricking the phone. Original AT&T sim installed. Suggestions are fully appreciated. Thank you in advance.